#    This file is part of cfelpyutils.
#
#    cfelpyutils is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    cfelpyutils is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with cfelpyutils.  If not, see <http://www.gnu.org/licenses/>.


"""
Utilities for CFEL software projects.

This module provides utilities (functions, classes, etc.) used by many CFEL projects.

It contains the following submodules (non of which are automatically imported):

cfelfabio: utilities based on the fabio python module (a module that allows
python to work with several file format used in x-ray imaging).

cfelgeom: utilities for processing CrystFEL-style geometry files.

cfelhdf5: utilities for processing HDF5 files (based on the h5py python module).

cfeloptarg: utilities to parse command line arguments and parameter files.

cfelpsana: utilities that expand the functionality of the psana python module.
"""
